Debian Bug report logs - #122383
manpages-dev: Ptrace manpage on IA64 is for Linux 2.2

version graph

Package: manpages-dev; Maintainer for manpages-dev is Martin Schulze <joey@debian.org>; Source for manpages-dev is src:manpages.

Reported by: johan.walles@gmail.com

Date: Tue, 4 Dec 2001 14:33:01 UTC

Severity: wishlist

Tags: confirmed, fixed-upstream, upstream

Found in version 1.39-1.1

Fixed in version manpages/3.44-1

Done: Simon Paillard <spaillard@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Nicol�s Lichtmaier <nick@debian.org>:
Bug#122383; Package manpages-dev. Full text and rfc822 format available.

Acknowledgement sent to Johan Walles <johan@appeal.se>:
New Bug report received and forwarded. Copy sent to Nicol�s Lichtmaier <nick@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Johan Walles <johan@appeal.se>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: manpages-dev: Ptrace manpage on IA64 is for Linux 2.2
Date: Tue, 04 Dec 2001 15:22:21 +0100
Package: manpages-dev
Version: 1.39-1.1
Severity: normal

Do 'man ptrace' on an IA64.  Scroll to the bottom of the page.  At the
very bottom, the page says "Linux 2.2.10".

The page should document the 2.4 ptrace call.

-- System Information
Debian Release: testing/unstable
Architecture: ia64
Kernel: Linux one 2.4.7-ia64 #1 Tue Aug 7 21:03:33 MDT 2001 ia64
Locale: LANG=C, LC_CTYPE=C

Versions of packages manpages-dev depends on:
ii  manpages                      1.39-1.1   Man pages about using a Linux syst




Information forwarded to debian-bugs-dist@lists.debian.org, Nicol�s Lichtmaier <nick@debian.org>:
Bug#122383; Package manpages-dev. Full text and rfc822 format available.

Acknowledgement sent to Johan Walles <johan@appeal.se>:
Extra info received and forwarded to list. Copy sent to Nicol�s Lichtmaier <nick@debian.org>. Full text and rfc822 format available.

Message #10 received at 122383@bugs.debian.org (full text, mbox):

From: Johan Walles <johan@appeal.se>
To: Debian Bug Tracking System <122383@bugs.debian.org>
Subject: manpages-dev: Some details
Date: Fri, 07 Dec 2001 17:45:32 +0100
Package: manpages-dev
Version: 1.39-1.1

What I stumbled upon was that PTRACE_GETREGS, PTRACE_GETFPREGS,
PTRACE_SETREGS and PTRACE_SETFPREGS don't exist on IA64.  I wish I
could give a more detailed report, and detail exactly what is wrong
with it, but the reason I want an updated man page is that I want to
read it.  If knew what it was supposed to say I wouldn't need it...

-- System Information
Debian Release: 3.0
Architecture: ia64
Kernel: Linux one 2.4.7-ia64 #1 Tue Aug 7 21:03:33 MDT 2001 ia64
Locale: LANG=C, LC_CTYPE=C

Versions of packages manpages-dev depends on:
ii  manpages                      1.39-1.1   Man pages about using a Linux syst




Reply sent to Martin Schulze <joey@infodrom.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Johan Walles <johan@appeal.se>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #15 received at 122383-done@bugs.debian.org (full text, mbox):

From: Martin Schulze <joey@infodrom.org>
To: 122383-done@bugs.debian.org
Subject: Re: Ptrace manpage on IA64 is for Linux 2.2
Date: Thu, 13 Dec 2001 11:18:25 +0100
Hi!

| Do 'man ptrace' on an IA64.  Scroll to the bottom of the page.  At the
| very bottom, the page says "Linux 2.2.10".

This only reflects the first occurence of the function.

| The page should document the 2.4 ptrace call.

Please tell me what's wrong with the content of the manpage if you
believe something is wrong there.

Regards,

	Joey

-- 
It's time to close the windows.

Please always Cc to me when replying to me on the lists.



Information forwarded to debian-bugs-dist@lists.debian.org, Nicol�s Lichtmaier <nick@debian.org>:
Bug#122383; Package manpages-dev. Full text and rfc822 format available.

Acknowledgement sent to Johan Walles <johan.walles@appeal.se>:
Extra info received and forwarded to list. Copy sent to Nicol�s Lichtmaier <nick@debian.org>. Full text and rfc822 format available.

Message #20 received at 122383@bugs.debian.org (full text, mbox):

From: Johan Walles <johan.walles@appeal.se>
To: 122383@bugs.debian.org
Cc: joey@infodrom.org
Subject: Re: Bug#122383 acknowledged by developer (Re: Ptrace manpage on IA64 is for Linux 2.2)
Date: Thu, 13 Dec 2001 13:01:08 +0100
From "http://bugs.debian.org/122383".

"
What I stumbled upon was that PTRACE_GETREGS, PTRACE_GETFPREGS,
PTRACE_SETREGS and PTRACE_SETFPREGS don't exist on IA64.  I wish I
could give a more detailed report, and detail exactly what is wrong
with it, but the reason I want an updated man page is that I want to
read it.  If knew what it was supposed to say I wouldn't need it...
"

I can understand if this information is not enough for correcting the 
documentation.  But while my knowledge of how ptrace() works is enough 
to see that the man page is broken (see above), it is not enough to say 
what the man page should actually say.  Neither do I know who would know 
what the man page should say.  If you don't know either, I guess the 
only approach left is to leave the man page incorrect and hope that 
somebody with more knowledge of ptrace() than me or you comes along and 
fixes it.

  Regards //Johan

Debian Bug Tracking System wrote:

> This is an automatic notification regarding your Bug report
> #122383: manpages-dev: Ptrace manpage on IA64 is for Linux 2.2,
> which was filed against the manpages-dev package.
> 
> It has been closed by one of the developers, namely
> Martin Schulze <joey@infodrom.org>.
> 
> Their explanation is attached below.  If this explanation is
> unsatisfactory and you have not received a better one in a separate
> message then please contact the developer, by replying to this email.
> 
> Debian bug tracking system administrator
> (administrator, Debian Bugs database)
> 
> Received: (at 122383-done) by bugs.debian.org; 13 Dec 2001 10:27:16 +0000
> From joey@infodrom.org Thu Dec 13 04:27:16 2001
> Return-path: <joey@infodrom.org>
> Received: from luonnotar.infodrom.org [195.124.48.78] (postfix)
> 	by master.debian.org with esmtp (Exim 3.12 1 (Debian))
> 	id 16ET59-0002mj-00; Thu, 13 Dec 2001 04:27:16 -0600
> Received: by luonnotar.infodrom.org (Postfix, from userid 10)
> 	id B8F83366AA6; Thu, 13 Dec 2001 11:27:14 +0100 (CET)
> Received: at Infodrom Oldenburg (/\##/\ Smail-3.2.0.102 1998-Aug-2 #2)
> 	from infodrom.org by finlandia.Infodrom.North.DE
> 	via smail from stdin
> 	id <m16ESwc-000p49C@finlandia.Infodrom.North.DE>
> 	for 122383-done@bugs.debian.org; Thu, 13 Dec 2001 11:18:26 +0100 (CET) 
> Date: Thu, 13 Dec 2001 11:18:25 +0100
> From: Martin Schulze <joey@infodrom.org>
> To: 122383-done@bugs.debian.org
> Subject: Re: Ptrace manpage on IA64 is for Linux 2.2
> Message-ID: <20011213101825.GY16072@finlandia.infodrom.north.de>
> Mime-Version: 1.0
> Content-Type: text/plain; charset=iso-8859-1
> Content-Disposition: inline
> User-Agent: Mutt/1.3.24i
> Delivered-To: 122383-done@bugs.debian.org
> 
> Hi!
> 
> | Do 'man ptrace' on an IA64.  Scroll to the bottom of the page.  At the
> | very bottom, the page says "Linux 2.2.10".
> 
> This only reflects the first occurence of the function.
> 
> | The page should document the 2.4 ptrace call.
> 
> Please tell me what's wrong with the content of the manpage if you
> believe something is wrong there.
> 
> Regards,
> 
> 	Joey
> 
> 





Bug reopened, originator not changed. Request was from Martin Schulze <joey@infodrom.org> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Nicol�s Lichtmaier <nick@debian.org>:
Bug#122383; Package manpages-dev. Full text and rfc822 format available.

Acknowledgement sent to Martin Schulze <joey@infodrom.org>:
Extra info received and forwarded to list. Copy sent to Nicol�s Lichtmaier <nick@debian.org>. Full text and rfc822 format available.

Message #27 received at 122383@bugs.debian.org (full text, mbox):

From: Martin Schulze <joey@infodrom.org>
To: Johan Walles <johan.walles@appeal.se>
Cc: 122383@bugs.debian.org
Subject: Re: Ptrace manpage on IA64 is for Linux 2.2
Date: Fri, 14 Dec 2001 12:04:59 +0100
reopen 122383
tags 122383 +moreinfo
severity 122383 wishlist
thanks

Johan Walles wrote:
> From "http://bugs.debian.org/122383".
> 
> "
> What I stumbled upon was that PTRACE_GETREGS, PTRACE_GETFPREGS,
> PTRACE_SETREGS and PTRACE_SETFPREGS don't exist on IA64.  I wish I
> could give a more detailed report, and detail exactly what is wrong
> with it, but the reason I want an updated man page is that I want to
> read it.  If knew what it was supposed to say I wouldn't need it...
> "
> 
> I can understand if this information is not enough for correcting the 
> documentation.  But while my knowledge of how ptrace() works is enough 
> to see that the man page is broken (see above), it is not enough to say 
> what the man page should actually say.  Neither do I know who would know 
> what the man page should say.  If you don't know either, I guess the 
> only approach left is to leave the man page incorrect and hope that 
> somebody with more knowledge of ptrace() than me or you comes along and 
> fixes it.

Ok, understood now.

I can't help either, some kernel people are required.

Regards,

	Joey

-- 
Those who don't understand Unix are condemned to reinvent it, poorly.

Please always Cc to me when replying to me on the lists.



Tags added: Request was from Martin Schulze <joey@infodrom.org> to control@bugs.debian.org. Full text and rfc822 format available.

Severity set to `wishlist'. Request was from Martin Schulze <joey@infodrom.org> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Martin Schulze <joey@debian.org>:
Bug#122383; Package manpages-dev. Full text and rfc822 format available.

Acknowledgement sent to Martin Schulze <joey@infodrom.org>:
Extra info received and forwarded to list. Copy sent to Martin Schulze <joey@debian.org>. Full text and rfc822 format available.

Message #36 received at 122383@bugs.debian.org (full text, mbox):

From: Martin Schulze <joey@infodrom.org>
To: debian-hppa@lists.debian.org
Cc: 122383@bugs.debian.org
Subject: Re: Ptrace manpage on IA64 is for Linux 2.2
Date: Sat, 22 Dec 2001 18:18:03 +0100
Can somebody of the HPPA team help and provide enough information to
fix the manpage ptrace(2)?  Any help would be gladly appreciated.  A
patch (against the version in unstable) would be the best

Johan Walles wrote:
> From "http://bugs.debian.org/122383".
> 
> "
> What I stumbled upon was that PTRACE_GETREGS, PTRACE_GETFPREGS,
> PTRACE_SETREGS and PTRACE_SETFPREGS don't exist on IA64.  I wish I
> could give a more detailed report, and detail exactly what is wrong
> with it, but the reason I want an updated man page is that I want to
> read it.  If knew what it was supposed to say I wouldn't need it...
> "
> 
> I can understand if this information is not enough for correcting the 
> documentation.  But while my knowledge of how ptrace() works is enough 
> to see that the man page is broken (see above), it is not enough to say 
> what the man page should actually say.  Neither do I know who would know 
> what the man page should say.  If you don't know either, I guess the 
> only approach left is to leave the man page incorrect and hope that 
> somebody with more knowledge of ptrace() than me or you comes along and 
> fixes it.

Regards,

	Joey

-- 
Computers are not intelligent.  They only think they are.

Please always Cc to me when replying to me on the lists.



Information forwarded to debian-bugs-dist@lists.debian.org, Martin Schulze <joey@debian.org>:
Bug#122383; Package manpages-dev. Full text and rfc822 format available.

Acknowledgement sent to davidm@hpl.hp.com:
Extra info received and forwarded to list. Copy sent to Martin Schulze <joey@debian.org>. Full text and rfc822 format available.

Message #41 received at 122383@bugs.debian.org (full text, mbox):

From: David Mosberger <davidm@hpl.hp.com>
To: Martin Schulze <joey@infodrom.org>
Cc: debian-hppa@lists.debian.org, debian-ia64@lists.debian.org.122383@bugs.debian.org
Subject: Re: Ptrace manpage on IA64 is for Linux 2.2
Date: Wed, 26 Dec 2001 14:56:06 -0800
I'm not sure why I received the attached mail.  I didn't think I'm
subscribed to debian-hppa but since the original mail mentions IA64,
I'll add my two cents: rather than "fixing" the man page, we should
just implement {GET,SET}{,FP}REGS.  There is no reason not to provide
them and there are clearly apps that could benefit from these
requests.  Just a small matter of programming...

	--david

>>>>> On Sat, 22 Dec 2001 18:18:03 +0100, Martin Schulze <joey@infodrom.org> said:

  Martin> Can somebody of the HPPA team help and provide enough
  Martin> information to fix the manpage ptrace(2)?  Any help would be
  Martin> gladly appreciated.  A patch (against the version in
  Martin> unstable) would be the best

  Martin> Johan Walles wrote:
  >> From "http://bugs.debian.org/122383".
  >> 
  >> " What I stumbled upon was that PTRACE_GETREGS, PTRACE_GETFPREGS,
  >> PTRACE_SETREGS and PTRACE_SETFPREGS don't exist on IA64.  I wish
  >> I could give a more detailed report, and detail exactly what is
  >> wrong with it, but the reason I want an updated man page is that
  >> I want to read it.  If knew what it was supposed to say I
  >> wouldn't need it...  "
  >> 
  >> I can understand if this information is not enough for correcting
  >> the documentation.  But while my knowledge of how ptrace() works
  >> is enough to see that the man page is broken (see above), it is
  >> not enough to say what the man page should actually say.  Neither
  >> do I know who would know what the man page should say.  If you
  >> don't know either, I guess the only approach left is to leave the
  >> man page incorrect and hope that somebody with more knowledge of
  >> ptrace() than me or you comes along and fixes it.



Changed Bug submitter from Johan Walles <johan@appeal.se> to walles@mailblocks.com. Request was from Johan Walles <walles@mailblocks.com> to control@bugs.debian.org. Full text and rfc822 format available.

Changed Bug submitter from walles@mailblocks.com to johan.walles@gmail.com. Request was from Johan Walles <johan.walles@gmail.com> to control@bugs.debian.org. Full text and rfc822 format available.

Tags added: moreinfo Request was from Justin Pryzby <justinpryzby@users.sourceforge.net> to control@bugs.debian.org. Full text and rfc822 format available.

Message sent on to johan.walles@gmail.com:
Bug#122383. Full text and rfc822 format available.

Message #50 received at 122383-submitter@bugs.debian.org (full text, mbox):

From: Justin Pryzby <justinpryzby@users.sourceforge.net>
To: 122383-submitter@bugs.debian.org
Subject: your bug -- manpages-dev: Ptrace manpage on IA64 is for Linux 2.2
Date: Tue, 20 Dec 2005 19:00:06 -0500
Does this bug still apply in recent manpages packages?

I have:
$ grep '2\.' <(man ptrace 2>&1)
Linux 2.6.6                       2004-05-27                         PTRACE(2)

Thanks.

-- 
Clear skies,
Justin

References

[0] http://bugs.debian.org/122383



Information forwarded to debian-bugs-dist@lists.debian.org, Martin Schulze <joey@debian.org>:
Bug#122383; Package manpages-dev. Full text and rfc822 format available.

Acknowledgement sent to Johan Walles <johan.walles@gmail.com>:
Extra info received and forwarded to list. Copy sent to Martin Schulze <joey@debian.org>. Full text and rfc822 format available.

Message #55 received at 122383@bugs.debian.org (full text, mbox):

From: Johan Walles <johan.walles@gmail.com>
To: Justin Pryzby <justinpryzby@users.sourceforge.net>, 122383@bugs.debian.org
Subject: Re: Bug#122383: your bug -- manpages-dev: Ptrace manpage on IA64 is for Linux 2.2
Date: Thu, 22 Dec 2005 11:45:21 +0100
[Message part 1 (text/plain, inline)]
2005/12/21, Justin Pryzby <justinpryzby@users.sourceforge.net>:
> Does this bug still apply in recent manpages packages?

Yes.  Although not to the same extent as before.

PTRACE_GETFPREGS still doesn't exist on ia64.  The man page implies it
does.  It's documented and the documentation says nothing about this
function not existing on some platforms.

The attached program builds and runs fine on ia32.  It doesn't even
build on ia64: "error: `PTRACE_GETFPREGS' undeclared".  Possibly it's
broken on other platforms as well, although the ia64 is the only
non-mainstream platform I have access to.

  Regards //Johan
[ptraceGetFpRegs.c (text/x-c, attachment)]

Tags removed: moreinfo Request was from Justin Pryzby <justinpryzby@users.sourceforge.net> to control@bugs.debian.org. Full text and rfc822 format available.

Tags added: upstream Request was from Justin Pryzby <justinpryzby@users.sourceforge.net> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Martin Schulze <joey@debian.org>:
Bug#122383; Package manpages-dev. (Mon, 23 Jul 2012 21:36:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Simon Paillard <spaillard@debian.org>:
Extra info received and forwarded to list. Copy sent to Martin Schulze <joey@debian.org>. (Mon, 23 Jul 2012 21:36:09 GMT) Full text and rfc822 format available.

Message #64 received at 122383@bugs.debian.org (full text, mbox):

From: Simon Paillard <spaillard@debian.org>
To: Johan Walles <johan.walles@gmail.com>, 122383@bugs.debian.org
Cc: Justin Pryzby <justinpryzby@users.sourceforge.net>
Subject: Re: Bug#122383: your bug -- manpages-dev: Ptrace manpage on IA64 is for Linux 2.2
Date: Mon, 23 Jul 2012 23:32:42 +0200
tags 122383 +confirmed
thanks

Hi,

On Thu, Dec 22, 2005 at 11:45:21AM +0100, Johan Walles wrote:
> 2005/12/21, Justin Pryzby <justinpryzby@users.sourceforge.net>:
> > Does this bug still apply in recent manpages packages?
> 
> Yes.  Although not to the same extent as before.
> 
> PTRACE_GETFPREGS still doesn't exist on ia64.  The man page implies it
> does.  It's documented and the documentation says nothing about this
> function not existing on some platforms.
> 
> The attached program builds and runs fine on ia32.  It doesn't even
> build on ia64: "error: `PTRACE_GETFPREGS' undeclared".  Possibly it's
> broken on other platforms as well, although the ia64 is the only
> non-mainstream platform I have access to.

This doesn't build either on ia64 today, with the same error.

And ptrace.2 doesn't mention such kind of function unavailability
(except arguments order change for sparc).

-- 
Simon Paillard



Added tag(s) confirmed. Request was from Simon Paillard <spaillard@debian.org> to control@bugs.debian.org. (Mon, 23 Jul 2012 21:36:10 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Martin Schulze <joey@debian.org>:
Bug#122383; Package manpages-dev. (Thu, 25 Oct 2012 12:15:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to mtk.manpages@gmail.com:
Extra info received and forwarded to list. Copy sent to Martin Schulze <joey@debian.org>. (Thu, 25 Oct 2012 12:15:03 GMT) Full text and rfc822 format available.

Message #71 received at 122383@bugs.debian.org (full text, mbox):

From: "Michael Kerrisk (man-pages)" <mtk.manpages@gmail.com>
To: Simon Paillard <spaillard@debian.org>, 122383@bugs.debian.org
Cc: Johan Walles <johan.walles@gmail.com>, Justin Pryzby <justinpryzby@users.sourceforge.net>
Subject: Re: Bug#122383: your bug -- manpages-dev: Ptrace manpage on IA64 is for Linux 2.2
Date: Thu, 25 Oct 2012 14:11:39 +0200
On Mon, Jul 23, 2012 at 11:32 PM, Simon Paillard <spaillard@debian.org> wrote:
> tags 122383 +confirmed
> thanks
>
> Hi,
>
> On Thu, Dec 22, 2005 at 11:45:21AM +0100, Johan Walles wrote:
>> 2005/12/21, Justin Pryzby <justinpryzby@users.sourceforge.net>:
>> > Does this bug still apply in recent manpages packages?
>>
>> Yes.  Although not to the same extent as before.
>>
>> PTRACE_GETFPREGS still doesn't exist on ia64.  The man page implies it
>> does.  It's documented and the documentation says nothing about this
>> function not existing on some platforms.
>>
>> The attached program builds and runs fine on ia32.  It doesn't even
>> build on ia64: "error: `PTRACE_GETFPREGS' undeclared".  Possibly it's
>> broken on other platforms as well, although the ia64 is the only
>> non-mainstream platform I have access to.
>
> This doesn't build either on ia64 today, with the same error.
>
> And ptrace.2 doesn't mention such kind of function unavailability
> (except arguments order change for sparc).

For 3.44, I've added a note to the page to say that
PTRAGE_GETREGS
PTRAGE_SETREGS
PTRAGE_GETFPREGS
PTRAGE_SETFPREGS
are not available on all architectures.

Thanks,

Michael


-- 
Michael Kerrisk
Linux man-pages maintainer; http://www.kernel.org/doc/man-pages/
Author of "The Linux Programming Interface"; http://man7.org/tlpi/



Added tag(s) fixed-upstream. Request was from Simon Paillard <spaillard@debian.org> to control@bugs.debian.org. (Thu, 25 Oct 2012 19:39:05 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Simon Paillard <spaillard@debian.org> to control@bugs.debian.org. (Fri, 16 Nov 2012 19:06:06 GMT) Full text and rfc822 format available.

Reply sent to Simon Paillard <spaillard@debian.org>:
You have taken responsibility. (Fri, 16 Nov 2012 20:57:18 GMT) Full text and rfc822 format available.

Notification sent to johan.walles@gmail.com:
Bug acknowledged by developer. (Fri, 16 Nov 2012 20:57:18 GMT) Full text and rfc822 format available.

Message #80 received at 122383-close@bugs.debian.org (full text, mbox):

From: Simon Paillard <spaillard@debian.org>
To: 122383-close@bugs.debian.org
Subject: Bug#122383: fixed in manpages 3.44-1
Date: Fri, 16 Nov 2012 20:47:47 +0000
Source: manpages
Source-Version: 3.44-1

We believe that the bug you reported is fixed in the latest version of
manpages, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 122383@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Simon Paillard <spaillard@debian.org> (supplier of updated manpages package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Fri, 16 Nov 2012 19:56:48 +0100
Source: manpages
Binary: manpages manpages-dev
Architecture: source all
Version: 3.44-1
Distribution: unstable
Urgency: low
Maintainer: Martin Schulze <joey@debian.org>
Changed-By: Simon Paillard <spaillard@debian.org>
Description: 
 manpages   - Manual pages about using a GNU/Linux system
 manpages-dev - Manual pages about using GNU/Linux for development
Closes: 122383 295635 604928 610036 633505 640764 651476 670874 675891 691414 692595 693255
Changes: 
 manpages (3.44-1) unstable; urgency=low
 .
   * Imported Upstream version 3.44: (Closes: #692595)
     . new manpages: getauxval.3 secure_getenv.3
     . major update to delete_module.2 init_module.2 prctl.2 getauxval.3 proc.5
     . fts.3: Improve description of physical vs. logical (Closes: #633505)
     . getdomainname.2: these calls relate to NIS, not DNS (Closes: #295635)
     . proc.5: fix 'starttime' description of /proc/PID/stat (Closes: #675891)
     . ptrace.2: Clarify some operations are not present on all
       architectures (Closes: #122383)
   * motd.5 updated and motd.tail removed: due to new behaviour of sysvinit
     2.88dsf-24 (Closes: #691414)
   * Add glibc-doc-reference to package description (Closes: #640764)
   * fputs.3: missing space in putc(c,stdout) (Closes: #693255)
   * resolv.conf.5: Document IPv6 format for nameserver (Closes: #610036)
   * stat.2: Clarify description of EOVERFLOW error (Closes: #604928)
   * Ack my NMUs (Closes: #651476, #670874)
Checksums-Sha1: 
 07d45cc9bdcf67149b7d82c27ce71d170e4ff933 1907 manpages_3.44-1.dsc
 6462c433044a84ff20008709175f6afa23dc0eb8 1762238 manpages_3.44.orig.tar.gz
 3798a32f25a814e5a38a6bc41ba1f541745ac600 47140 manpages_3.44-1.diff.gz
 945bef6da6a853f5a8c121bbcd4233b40998d942 795004 manpages_3.44-1_all.deb
 7ff3347ec10492594753aa9d97438abaa1eb4974 1737352 manpages-dev_3.44-1_all.deb
Checksums-Sha256: 
 30765fbf411a0aef331d86b45e64b58e58aac6d0f45eca09dfb9d9c8455713b1 1907 manpages_3.44-1.dsc
 4ec49f5f9faac757ffa2dfe6213e3ab8840a69325c377bfc4323b176c35cd0b2 1762238 manpages_3.44.orig.tar.gz
 0ec944859ec88bb239c3baa5cb9164ba54371c9b810687d91009a4c1dc964c3b 47140 manpages_3.44-1.diff.gz
 d8413c8901b76810ef7bf3a8375a1e5de36a8b25c5dc523dd9d436ae5e5e82c0 795004 manpages_3.44-1_all.deb
 0834ed14fab7621cef5a13d7de419f4bb3f454a7b0b0d849eaf22d623d54d315 1737352 manpages-dev_3.44-1_all.deb
Files: 
 ab10f22227f32682d3efa80e7efdfe54 1907 doc important manpages_3.44-1.dsc
 9b5b9c38f1db0ab944d5f879ba9d0557 1762238 doc important manpages_3.44.orig.tar.gz
 bf90c0de1df4183e85c790027fa0f051 47140 doc important manpages_3.44-1.diff.gz
 599a8dde0a88d618bb7dc2fe4c47509d 795004 doc important manpages_3.44-1_all.deb
 4445e79d4c739e9506e190a19d4ba052 1737352 doc optional manpages-dev_3.44-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBCAAGBQJQppUwAAoJEN/3OMLRbPui1x0QAJtyppV88sjsXlCeZa/3BpNE
0Mg7meTsn+1wEDWEDrKu+OGiTaEFIDdsHVWcaPz+NF7DQAh3i7t5+0xK+iVhsHnU
5MYRCOUerA7jYp+djuy62rmDJhGLJ9HO5Vb+2CadHiRt1JJJa/g8gJ9DRwa31Mkv
Wy3QW4B/psvO4iOvOM+IRkuU+m3Soa7ArLZWdKqVQ4Kq5th5BhZoo9u7+vg3KSQw
TbIMPnZuuVWakT4Pw8SVxYPbPQbi3UVTt3hp9MzFM1JWkzfkiZlDvziSH+nyW7H4
0mUTk7RHiNqXvyjcmw9rfahjLaGnQEa/Sj5JigHG5NU9+16O//DX5gxVVjbMuzhP
Kopxw5a129exfGK++XR0O9wcPR4BnKuoHXAFeJWP8o3EKt09XTWaIATRBYInmQ+R
UJ4OJKGn5hmPa9wN+itXbe2PAun6az3B04vgcMWoY4oMndu11KRAIKIhuQePfi1c
rdvw/HGxfQtOque2z6hpbVJfQXXfEpmbT/EABtHROQTCcbn+dMhOvfxWekzP55yr
/S/QWiGj3tbxcWHV0YpxMJIzs8tJFeygXxnZsq6qV/iJBgz+pFMP0srXcc9ModV2
1SFAwaITORw6jKpGOQJuVDK5WM6YFZcT5HGATFApzb908sgSngKW07n90aGLMdtR
V6/JVn3EsxJPjyKK0QLA
=PrZe
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 25 Feb 2013 07:29:03 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 05:48:58 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.